package com.bonus.canteen.core.menu.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel("导入失败记录")
@TableName("menu_dishes_import_fail")
public class MenuDishesImportFail extends Model<MenuDishesImportFail> {
   private static final long serialVersionUID = 1L;
   @TableId
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("失败行数")
   private Integer failRow;
   @ApiModelProperty("失败原因")
   private String failReason;
   @ApiModelProperty("导入时间")
   private LocalDateTime importTime;
   @ApiModelProperty("记录类型(1-菜品导入，2-原料导入)")
   private Integer failType;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Integer getFailRow() {
      return this.failRow;
   }

   public String getFailReason() {
      return this.failReason;
   }

   public LocalDateTime getImportTime() {
      return this.importTime;
   }

   public Integer getFailType() {
      return this.failType;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setFailRow(final Integer failRow) {
      this.failRow = failRow;
   }

   public void setFailReason(final String failReason) {
      this.failReason = failReason;
   }

   public void setImportTime(final LocalDateTime importTime) {
      this.importTime = importTime;
   }

   public void setFailType(final Integer failType) {
      this.failType = failType;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }
}
